import java.awt.Color;

import fondlb.cg.core.RenderingEngine;
import fondlb.cg.core.Scene;
import fondlb.cg.core.Viewport;
import fondlb.cg.gui.MainFrame;
import fondlb.cg.primitives.IShape;
import fondlb.cg.primitives.Rectangle;

public class Esempio {

	public static void main(String[] args) {
		//Crea una scena vuota che agisce da contenitore
		Scene scena = new Scene("Scena");
			
		//Crea due rettangoli e li aggiunge alla scena da visualizzare
		IShape forma = new Rectangle(0,40,60,50,50);
		forma.setColor(Color.BLUE);
		scena.addShape(forma);
			
		forma = new Rectangle(0,60,80,50,50);
		forma.setColor(Color.RED);
		scena.addShape(forma);
			
		//Ora segue una procedura standard per visualizzare la scena
		
		//Crea una vista di dimensione 600x400 pixels
		Viewport viewport = new Viewport(600,600);
		//Inizializza il motore di rendering e gli passa la scena da visualizzare
		RenderingEngine r = new RenderingEngine(viewport);
		r.setScene(scena);
		//Crea la finestra principale e gli passa la vista ed il motore di rendering
		new MainFrame("Esempio",viewport,r);	
	}

}
